Type of the Plugin

## Macros

#define | F0R_PLUGIN_TYPE_FILTER 0
#define | F0R_PLUGIN_TYPE_SOURCE 1
#define | F0R_PLUGIN_TYPE_MIXER2 2
#define | F0R_PLUGIN_TYPE_MIXER3 3

## Detailed Description

These defines determine whether the plugin is a source, a filter or one of the two mixer types

## Macro Definition Documentation

## F0R_PLUGIN_TYPE_FILTER

#define F0R_PLUGIN_TYPE_FILTER 0

one input and one output

Definition at line 247 of file frei0r.h.

## F0R_PLUGIN_TYPE_MIXER2

#define F0R_PLUGIN_TYPE_MIXER2 2

two inputs and one output

Definition at line 251 of file frei0r.h.

## F0R_PLUGIN_TYPE_MIXER3

#define F0R_PLUGIN_TYPE_MIXER3 3

three inputs and one output

Definition at line 253 of file frei0r.h.

## F0R_PLUGIN_TYPE_SOURCE

#define F0R_PLUGIN_TYPE_SOURCE 1

just one output

Definition at line 249 of file frei0r.h.